Payslips & compensation
List Hris Additional Compensation
Lists an employee's additional compensation entries, including scheduled ones for admins.
POSThttps://api.toku.com/hris/list-hris-additional-compensation
Required scope: compensation:read. With an API key, roleInOrgID must be set: a key has no person of its own.
curl --request POST \
--url 'https://api.toku.com/hris/list-hris-additional-compensation' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"includeScheduled": true
}'200 response
{
"additionalCompensations": [
{
"hrisAdditionalCompensationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"amount": "string",
"currency": "string",
"paymentType": "FIAT",
"tokenSymbol": "string",
"tokenNetwork": "string",
"tokenTypeID": "string",
"settlementTokenTypeID": "string",
"settlementTokenSymbol": "string",
"settlementTokenNetwork": "string",
"type": "string",
"isRecurring": true,
"frequency": "string",
"effectiveDate": "string",
"endDate": "string",
"endedByAllowanceChange": true,
"isEnded": true,
"isScheduledReplacement": true,
"note": "string",
"isScheduled": true,
"createdAt": "string",
"companyAllowance": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIDstring<uuid>includeScheduledbooleanResponse
200Successful response
additionalCompensationsobject[]requiredShow child attributes
hrisAdditionalCompensationIdstring<uuid>requiredamountstringrequiredcurrencystring | nullrequiredpaymentTypestringrequiredAvailable options: FIAT, TOKEN
tokenSymbolstring | nullrequiredtokenNetworkstring | nullrequiredtokenTypeIDstring | nullrequiredsettlementTokenTypeIDstring | nullrequiredsettlementTokenSymbolstring | nullrequiredsettlementTokenNetworkstring | nullrequiredtypestringrequiredisRecurringbooleanrequiredfrequencystring | nullrequiredeffectiveDatestring | nullrequiredendDatestring | nullrequiredendedByAllowanceChangebooleanrequiredisEndedbooleanrequiredisScheduledReplacementbooleanrequirednotestring | nullrequiredisScheduledbooleanrequiredcreatedAtstringrequiredcompanyAllowanceobject | nullrequiredShow child attributes
idstring<uuid>requirednamestring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits